curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/badge_users \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/badge_users"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/badge_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/loyalty/badge_users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/loyalty/badge_users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/loyalty/badge_users")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/loyalty/badge_users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "a96edeb7-c10f-4e63-9acf-85e277665587",
"userId": "9b0351c3-71ab-4a45-a36a-f7b35ccd276b",
"loyaltyBadgeId": "749b1bb0-a607-4010-888b-8321905606b9",
"websiteId": "42218351-3c75-46af-8453-5ae04b9ad7bb",
"organizationId": "548b0619-f4b3-4ef6-8dd9-77dfa9260eb2",
"createdAt": "2025-09-11T13:45:40.123Z",
"updatedAt": "2025-09-11T13:45:40.123Z",
"deletedAt": null,
"status": "active",
"progress": [],
"dismissedInUi": false,
"user": {
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Get users for a badge
This endpoint allows you to fetch users for a specific badge.
curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/badge_users \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/badge_users"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/badge_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin.snagsolutions.io/api/loyalty/badge_users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.snagsolutions.io/api/loyalty/badge_users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://admin.snagsolutions.io/api/loyalty/badge_users")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin.snagsolutions.io/api/loyalty/badge_users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "a96edeb7-c10f-4e63-9acf-85e277665587",
"userId": "9b0351c3-71ab-4a45-a36a-f7b35ccd276b",
"loyaltyBadgeId": "749b1bb0-a607-4010-888b-8321905606b9",
"websiteId": "42218351-3c75-46af-8453-5ae04b9ad7bb",
"organizationId": "548b0619-f4b3-4ef6-8dd9-77dfa9260eb2",
"createdAt": "2025-09-11T13:45:40.123Z",
"updatedAt": "2025-09-11T13:45:40.123Z",
"deletedAt": null,
"status": "active",
"progress": [],
"dismissedInUi": false,
"user": {
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Authorizations
Query Parameters
UUID of the loyalty badge (converted to lowercase)
"123e4567-e89b-12d3-a456-426614174222"
UUID of the organization (optional, converted to lowercase)
"123e4567-e89b-12d3-a456-426614174222"
UUID of the website (optional, converted to lowercase)
"123e4567-e89b-12d3-a456-426614174111"
Wallet Address of the user, or array of wallet addresses.
"0x1234567890abcdef1234567890abcdef12345678"
Status of the badge
active, inactive, revoked "active"
UUID of the badge to start after (converted to lowercase)
"123e4567-e89b-12d3-a456-426614174333"
Number of badges to fetch
1 <= x <= 100010
Response
200
Response returned upon successful fetching of the badge users.
UUID of the user badge (converted to lowercase)
"a96edeb7-c10f-4e63-9acf-85e277665587"
UUID of the user (converted to lowercase)
"9b0351c3-71ab-4a45-a36a-f7b35ccd276b"
UUID of the badge (converted to lowercase)
"749b1bb0-a607-4010-888b-8321905606b9"
UUID of the website (converted to lowercase)
"42218351-3c75-46af-8453-5ae04b9ad7bb"
UUID of the organization (converted to lowercase)
"548b0619-f4b3-4ef6-8dd9-77dfa9260eb2"
The date and time the user badge was created
"2025-09-11T13:45:40.123Z"
The date and time the user badge was updated
"2025-09-11T13:45:40.123Z"
The date and time the user badge was deleted
null
The status of the badge
active, inactive, revoked "active"
Array of progress for the badge
[]
Whether the user has dismissed the badge in the UI
false
User associated with the user badge
Show child attributes
Show child attributes
Was this page helpful?